gi-pango-1.0.30: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrLanguage

Contents

- Exported types
- Methods
  - new
- Properties
  - attr
  - value

Description

The `PangoAttrLanguage` structure is used to represent attributes that are languages.

Synopsis

- newtype AttrLanguage = AttrLanguage (ManagedPtr AttrLanguage)
- newZeroAttrLanguage :: MonadIO m => m AttrLanguage
- attrLanguageNew :: (HasCallStack, MonadIO m) => Language -> m Attribute
- getAttrLanguageAttr :: MonadIO m => AttrLanguage -> m Attribute
- clearAttrLanguageValue :: MonadIO m => AttrLanguage -> m ()
- getAttrLanguageValue :: MonadIO m => AttrLanguage -> m (Maybe Language)
- setAttrLanguageValue :: MonadIO m => AttrLanguage -> Ptr Language -> m ()

# Exported types

newtype AttrLanguage Source #

Memory-managed wrapper type.

Constructors

AttrLanguage (ManagedPtr AttrLanguage) |

#### Instances

Instances details

Eq AttrLanguage Source # |
Instance details Defined in GI.Pango.Structs.AttrLanguage Methods (==) :: AttrLanguage -> AttrLanguage -> Bool Source # (/=) :: AttrLanguage -> AttrLanguage -> Bool Source #
BoxedPtr AttrLanguage Source # |
Instance details Defined in GI.Pango.Structs.AttrLanguage Methods boxedPtrCopy :: AttrLanguage -> IO AttrLanguage Source # boxedPtrFree :: AttrLanguage -> IO () Source #
CallocPtr AttrLanguage Source # |
Instance details Defined in GI.Pango.Structs.AttrLanguage Methods boxedPtrCalloc :: IO (Ptr AttrLanguage) Source #
ManagedPtrNewtype AttrLanguage Source # |
Instance details Defined in GI.Pango.Structs.AttrLanguage Methods toManagedPtr :: AttrLanguage -> ManagedPtr AttrLanguage Source #
tag ~ 'AttrSet => Constructible AttrLanguage tag Source # |
Instance details Defined in GI.Pango.Structs.AttrLanguage Methods new :: MonadIO m => (ManagedPtr AttrLanguage -> AttrLanguage) -> [AttrOp AttrLanguage tag] -> m AttrLanguage Source #

newZeroAttrLanguage :: MonadIO m => m AttrLanguage Source #

Construct a `AttrLanguage` struct initialized to zero.

# Methods

## new

attrLanguageNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Language | `language`: language tag
-> m Attribute | Returns: the newly allocated `PangoAttribute`, which should be freed with `attributeDestroy`

Create a new language tag attribute.

# Properties

## attr

the common portion of the attribute

getAttrLanguageAttr :: MonadIO m => AttrLanguage -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrLanguage #attr

## value

the `PangoLanguage` which is the value of the attribute

clearAttrLanguageValue :: MonadIO m => AttrLanguage -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getAttrLanguageValue :: MonadIO m => AttrLanguage -> m (Maybe Language) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrLanguage #value

setAttrLanguageValue :: MonadIO m => AttrLanguage -> Ptr Language -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrLanguage [ #value := value ]